Subject: Re: [manet] #22 (aodvv2): Multiple terms for same concept

From: Charlie Perkins <[email-masked]>
Date: Wed, 28 May 2014 11:09:13 -0700

Hello again folks,

It turns out to be quite straightforward to revise the text
so that the term "active source" is not needed.  So, I don't
need to make a definition for this term.

Regards,
Charlie P.

On 4/11/2014 4:34 PM, Charles E. Perkins wrote:
> Hello folks,
>
> PktSource means the source of the packet that triggered
> the RERR.  It could be renamed to be "RERR_Dest", since the
> RERR is being sent to the source of the packet that triggered
> the RERR.
>
> "active sources" are those actively sending data.  I will make
> a new definition for this.
>
> Regards,
> Charlie P.
>
>
> On 4/4/2014 1:32 PM, Abdussalam Baryun wrote:
>> IMHO, MANET has more concepts depending on the network use and 
>> status. Therefore it is good that this work considers many use cases.
>>
>> On Thursday, April 3, 2014, manet issue tracker wrote:
>>
>>     #22: Multiple terms for same concept
>>
>>      (Thomas Clausen) While we are on that, I notice that "active
>>     source" is
>>      used; I am not sure what that is vs a "source" and vs a !PktSource. 
>>
>>
>> It is clear in MANET that active node means there is sleep period 
>> within that node, so when the node is out of that period it is active.
>>
>>     A
>>      source is someone who generates data traffic, I would suspect
>>     ... so an
>>      active source is....what?  Or, is a source someone who can, but
>>     doesn't,
>>      generate data traffic? 
>>
>>
>> The source is a node that generates data. The active node is a node 
>> that generates data for some determined period of times, and does not 
>> receive/generate within sleeping periods.
>>
>>      if so, what is the significance of that wrt.
>>      routing protocol operation? And, wrt a /reactive/ routing
>>     protocol, which
>>      I would assume constructs routes only for active
>>     source-destination pairs?
>>
>>
>> I don't think that is correct. In MANET we say it MAY have LLN 
>> nodes so it is good AODVv2 considers LLNs scenarios. The ROLL WG have 
>> done a terminology RFC, I will try to continue the Manet terminology 
>> draft. The routing in LLNs and MANETs does construct routes not only 
>> for active source-destination pairs, but routes that have multihops 
>> with sleep periods as well.
>>
>> AB
>
> -- 
> Regards,
> Charlie P.